﻿# You can place the script of your game in this file.
init:
# Declare images below this line, using the image statement.
# eg. 

    image image1 = "image1.jpg"
    image image2 = "image2.jpg"
    image image3 = "image3.jpg"
    image image4 = "image4.jpg"
    image image5 = "image5.jpg"
    image image6 = "image6.jpg"
    image image7 = "image7.jpg"
    image image8 = "image8.jpg"
    image image9 = "image9.jpg"
    image image10 = "image10.jpg"
    image image105 = "image105.jpg"
    image image11 = "image11.jpg"
    image image12 = "image12.jpg"
    image image13 = "image13.jpg"
    image image14 = "image14.jpg"
    image image15 = "image15.jpg"
    image image16 = "image16.jpg"
    image image17 = "image17.jpg"
    image image18 = "image18.jpg"
    image image19 = "image19.jpg"
    image image20 = "image20.jpg"
    image image21 = "image21.jpg"
    image cred01 = "cred01.jpg"
    image cred02 = "cred02.jpg"
    image cred03 = "cred03.jpg"
    image cred04 = "cred04.jpg"
    
    image ctc1 = anim.Filmstrip("dance.png", (20, 20), (2, 1), .30, xpos=0.93, ypos=0.93, xanchor=0, yanchor=0)
    
    image wvsplash = "wvsplash.png"

    $ narrator = Character(None, ctc="ctc1", ctc_position="fixed", what_xalign=0.5, window_xalign=0.5, what_text_align=0.5,)


init python:
    
    style.button_text.size = 16   
    
    renpy.music.register_channel("soundfx", "sfx", True)
        
label splashscreen:
    
    $ renpy.pause(0, hard=True)
    scene black
    $ mouse_visible = False
    
    show wvsplash with fade
    $ renpy.pause(5.0, hard=True)
    
    scene black with dissolve
    $ renpy.pause(0.5, hard=True)
    $ mouse_visible = True
    
    return
    
    
# The game starts here.

label start:
    
    stop music fadeout 1.0
    scene black
    with dissolve
        
    scene image1
    with fade
    play music "journey.mp3"
    
    "One morning Chestnut stayed in bed longer than usual."
    "He didn't feel like getting up.\n
    There was nothing for him to do, and worst of all, he had no friends to play with."
    "''I might as well keep on sleeping,'' he thought to himself, when suddenly his whole house began to move and shake."
    "''An earthquake!'' Chestnut thought, and was wide awake right away."
    
    scene image2
    with dissolve
    
    "But it was no earthquake."
    "It was only Morris, the otter, who was playing with a branch of Chestnut's tree."
    
    scene image3
    with dissolve
    play sound "splash.wav"
    
    "''Are you crazy,'' Chestnut said furiously, ''making such a rattle this early in the day?''"
    
    scene image4
    with dissolve
    
    "''What's the matter?'' replied Morris. ''Why can't you come out and play?''"
    "''Phaa!'' said Chestnut, who didn't want Morris to know that he had no friends to play with."
    
    scene image5
    with dissolve
    
    "''I think I know what your problem is,'' said Morris as he dried his coat."
    "''You are just bored with your own company! That happens to all of us at times.''"
    "''Have you ever wondered why we otters are always so happy?'' continued Morris."
    "''It's because every new day we have to make one new friend.''"
    "''Then you must have hundreds of friends,'' Chestnut said skeptically."
    "''Oh, maybe even more than that,'' said Morris. ''Come along. I'll show you some of my pals!''"
    
    scene image6
    with dissolve
    
    "Chestnut didn't believe Morris for a moment. But he was curious enough to go along with him."
    
    scene image7
    with dissolve
    
    "''Look here! These are some of my friends!'' said Morris, and he jumped into the middle of a patch of flowers."
    "''But these are just dumb flowers!'' cried Chestnut. ''They're not friends.''"
    "''Why not? Aren't they lovely with their nice smell? Look at them, they all seem to smile at us! Someone who smiles at me is my friend!'' insisted Morris."
    
    scene image8
    with dissolve
    
    "''Now let's try to catch a butterfly,'' Morris said. ''They can be very tricky friends.''"
    "Chestnut still thought Morris was silly, but he liked catching butterflies."
    
    scene image9
    with dissolve
    
    "Whenever Morris caught a butterfly, he immediately set it free again."
    "''We can't keep a friend locked up,'' he said, laughing."
    
    scene image10
    with dissolve
    
    play soundfx "river.wav" fadein 3.0
    
    "Then Morris pointed to a row of rocks leading across the river."
    "''These friends are more fun than a bridge.''"
    
    scene image105
    with dissolve
    
    "Chestnut wasn't quite so sure."
    
    scene image11
    with dissolve
    
    "Chestnut jumped from stone to stone."
    
    play sound "splash.wav"
    
    "He had nearly made it to the other side of the river when he slipped and fell into the water."
    
    scene image12
    with dissolve
    
    "As he climbed to the shore with coat and tail dripping, Chestnut said angrily,\n ''I guess the water is also one of your friends!''"
    "''Of course!'' Morris said with a laugh. ''No reason to be upset. Water can be fun. Come. Watch me!''"
    
    scene image13
    with dissolve
    
    "''I love water!'' said Morris. ''It cools and tickles me all over!''"
    "Now Chestnut had to laugh. He felt a little silly for having been so clumsy."
    
    scene image14
    with dissolve
    stop soundfx fadeout 3.0
    
    "After Morris finished his shower, both of them were dripping wet.\n They shook off some of the water and then Morris ran up the hill and opened his arms wide."
    "''Now let my friend wind dry our coats!'' And in no time they were dry again."
    
    scene image15
    with dissolve
    
    "''Let's lie down in the sun over there,'' said Morris."
    "The warm sunshine felt good on their bellies."
    "''I guess the sun is also a good friend to have,'' thought Chestnut, but he didn't say anything to Morris."
    "''I'm getting hungry,'' Morris said after a while."
    "This time it was Chestnut who said, ''Come with me. I know someone who'll give us something to eat.''"
    "''You mean a friend?''"
    "''You bet!'' laughed Chestnut, and off they ran."
    
    scene image16
    with dissolve
    
    "Chestnut showed Morris an apple tree full of ripe red apples."
    
    scene image17
    with dissolve
    
    "''I like your friend!'' said Morris. ''And so do I,'' replied Chestnut."
    
    scene image18
    with dissolve
    
    "Then they watched the clouds going by."
    "The sun was getting low, and it was time for them to return home."
    
    scene image19
    with dissolve
    play soundfx "river.wav" fadein 3.0
    
    "''Have you made your new friend for the day?'' Chestnut asked shyly."
    "''No, I haven't,'' replied Morris. ''I forgot all about it. We have just been too busy.''"
    "Then he smiled and added, ''But how about you? Would you like to be my new friend?''"
    "Chestnut liked that idea very much! As they paddled home together he held tight to Morris."
    
    scene image20
    with dissolve
    
    "Then the two friends said good night to each other."
    "''I'll see you in the morning,'' said Morris.\n ''I still want you to meet my friends the bears, the rabbit and the raccoons.''"
    
    play sound "splash.wav"
    
    "And with that he disappeared in the water."
    
    stop soundfx fadeout 3.0
    scene image21
    with dissolve
    
    "That night Chestnut went to bed early. He set his alarm clock to make sure he wouldn't oversleep the next morning."
    "After all, he couldn't disappoint all the friends who would be waiting for him!"
    
    $ mouse_visible = False
    scene image21
    with dissolve
    pause 3.0
    
    scene cred01
    with dissolve
    pause 3.0
    
    scene cred02
    with dissolve
    pause 3.0
    
    scene cred03
    with dissolve
    pause 3.0
    
    stop music fadeout 3.0
    scene cred04
    with dissolve
    pause 3.0
    
    $ mouse_visible = True
    return
